Package ru.bitel.bgbilling.plugins.dispatch.server.bean

# Class DispatchOptions

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.server.bean.DispatchOptions

    public final class DispatchOptions
    extends java.lang.Object

Статический класс, содержащий имена всех параметров из конфига плагина.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ALLOW_DELETE_SENT_MESSAGE` | Возможность удаления отправленных сообщений.
  `static java.lang.String` | `BILLING_URL` | Адрес сервера биллинга, по которому будет доступен сервлет плагина для возможности отписки от рассылки.
  `static java.lang.String` | `DISPATCH_AFTER_UNSUBSCRIBE_URL` | URL, куда будет перенаправлен пользователь после того, как отпишется от рассылки.
  `static java.lang.String` | `DISPATCH_EMAIL_UNSUBSCRIBE` | Опция, включающая возможность отписки от рассылки путем перехода по специальной ссылке в email.
  `static java.lang.String` | `ENTERIX_LOGIN` | Логин в системе Enterix
  `static java.lang.String` | `ENTERIX_PASSWORD` | Пароль от учетки в Enterix.
  `static java.lang.String` | `ENTERIX_SIGN` | Имя отправителя в системе Enterix.
  `static java.lang.String` | `MESSAGE_TEXT_TYPE` | Тип email-сообщения.
  `static java.lang.String` | `MESSAGE_TITLE_PREFIX` | Префикс, добавляемый к заголовку сообщения.
  `static java.lang.String` | `SMSAERO_LOGIN` | Логин в системе SmsAero
  `static java.lang.String` | `SMSAERO_PASSWORD` | Пароль от учетки в SmsAero.
  `static java.lang.String` | `SMSAERO_SIGN` | Имя отправителя в системе SmsAero.
  `static java.lang.String` | `SMSAERO_SIGN_2` | Имя отправителя в системе SmsAero.
  `static java.lang.String` | `SMSAERO_V2_API_KEY` | ApiKey(Пароль) от учетки в SmsAeroV2.
  `static java.lang.String` | `SMSAERO_V2_CALLBACK_FORMAT` | callbackFormat в системе SmsAeroV2.
  `static java.lang.String` | `SMSAERO_V2_CALLBACK_URL` | callbackUrl в системе SmsAeroV2.
  `static java.lang.String` | `SMSAERO_V2_EMAIL` | Email(Логин) в системе SmsAeroV2
  `static java.lang.String` | `SMSAERO_V2_SIGN` | Имя отправителя в системе SmsAeroV2.
  `static java.lang.String` | `SMSAGENT_LOGIN` | Логин в системе SmsAero
  `static java.lang.String` | `SMSAGENT_PASSWORD` | Пароль от учетки в SmsAero.
  `static java.lang.String` | `SMSAGENT_SIGN` | Имя отправителя в системе SmsAero.
  `static java.lang.String` | `SMSASSISTENT_LOGIN` | Логин в системе Sms Assistent
  `static java.lang.String` | `SMSASSISTENT_PASSWORD` | Пароль от учетки в Sms Assistent.
  `static java.lang.String` | `SMSASSISTENT_SENDER` | Имя отправителя в системе Sms Assistent.
  `static java.lang.String` | `SMSASSISTENT_URL` | Url сервиса Sms Assistent
  `static java.lang.String` | `SMSC_LOGIN` | Логин в системе Smsc
  `static java.lang.String` | `SMSC_PASSWORD` | Пароль от учетки в Smsc.
  `static java.lang.String` | `SMSC_SENDER` | Имя отправителя в системе Smsc.
  `static java.lang.String` | `SMSC_TRANSLIT` | Опция translit при рассылке.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchOptions()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BILLING_URL

    public static final java.lang.String BILLING_URL
    Адрес сервера биллинга, по которому будет доступен сервлет плагина для возможности отписки от рассылки.
    See Also:
      Constant Field Values

  - ### DISPATCH_EMAIL_UNSUBSCRIBE

    public static final java.lang.String DISPATCH_EMAIL_UNSUBSCRIBE
    Опция, включающая возможность отписки от рассылки путем перехода по специальной ссылке в email. Работает только в email рассылках.
    See Also:
      Constant Field Values

  - ### DISPATCH_AFTER_UNSUBSCRIBE_URL

    public static final java.lang.String DISPATCH_AFTER_UNSUBSCRIBE_URL
    URL, куда будет перенаправлен пользователь после того, как отпишется от рассылки.
    See Also:
      Constant Field Values

  - ### MESSAGE_TITLE_PREFIX

    public static final java.lang.String MESSAGE_TITLE_PREFIX
    Префикс, добавляемый к заголовку сообщения.
    See Also:
      Constant Field Values

  - ### MESSAGE_TEXT_TYPE

    public static final java.lang.String MESSAGE_TEXT_TYPE
    Тип email-сообщения. Например, html, xml, jsp и т.д.
    See Also:
      Constant Field Values

  - ### ALLOW_DELETE_SENT_MESSAGE

    public static final java.lang.String ALLOW_DELETE_SENT_MESSAGE
    Возможность удаления отправленных сообщений.
    See Also:
      Constant Field Values

  - ### SMSC_LOGIN

    public static final java.lang.String SMSC_LOGIN
    Логин в системе Smsc
    See Also:
      Constant Field Values

  - ### SMSC_SENDER

    public static final java.lang.String SMSC_SENDER
    Имя отправителя в системе Smsc.
    See Also:
      Constant Field Values

  - ### SMSC_PASSWORD

    public static final java.lang.String SMSC_PASSWORD
    Пароль от учетки в Smsc.
    See Also:
      Constant Field Values

  - ### SMSC_TRANSLIT

    public static final java.lang.String SMSC_TRANSLIT
    Опция translit при рассылке.
    See Also:
      Constant Field Values

  - ### SMSAERO_LOGIN

    public static final java.lang.String SMSAERO_LOGIN
    Логин в системе SmsAero
    See Also:
      Constant Field Values

  - ### SMSAERO_PASSWORD

    public static final java.lang.String SMSAERO_PASSWORD
    Пароль от учетки в SmsAero.
    See Also:
      Constant Field Values

  - ### SMSAERO_SIGN

    public static final java.lang.String SMSAERO_SIGN
    Имя отправителя в системе SmsAero.
    See Also:
      Constant Field Values

  - ### SMSAERO_SIGN_2

    public static final java.lang.String SMSAERO_SIGN_2
    Имя отправителя в системе SmsAero.
    See Also:
      Constant Field Values

  - ### SMSAERO_V2_EMAIL

    public static final java.lang.String SMSAERO_V2_EMAIL
    Email(Логин) в системе SmsAeroV2
    See Also:
      Constant Field Values

  - ### SMSAERO_V2_API_KEY

    public static final java.lang.String SMSAERO_V2_API_KEY
    ApiKey(Пароль) от учетки в SmsAeroV2.
    See Also:
      Constant Field Values

  - ### SMSAERO_V2_SIGN

    public static final java.lang.String SMSAERO_V2_SIGN
    Имя отправителя в системе SmsAeroV2.
    See Also:
      Constant Field Values

  - ### SMSAERO_V2_CALLBACK_URL

    public static final java.lang.String SMSAERO_V2_CALLBACK_URL
    callbackUrl в системе SmsAeroV2.
    See Also:
      Constant Field Values

  - ### SMSAERO_V2_CALLBACK_FORMAT

    public static final java.lang.String SMSAERO_V2_CALLBACK_FORMAT
    callbackFormat в системе SmsAeroV2.
    See Also:
      Constant Field Values

  - ### ENTERIX_LOGIN

    public static final java.lang.String ENTERIX_LOGIN
    Логин в системе Enterix
    See Also:
      Constant Field Values

  - ### ENTERIX_SIGN

    public static final java.lang.String ENTERIX_SIGN
    Имя отправителя в системе Enterix.
    See Also:
      Constant Field Values

  - ### ENTERIX_PASSWORD

    public static final java.lang.String ENTERIX_PASSWORD
    Пароль от учетки в Enterix.
    See Also:
      Constant Field Values

  - ### SMSASSISTENT_LOGIN

    public static final java.lang.String SMSASSISTENT_LOGIN
    Логин в системе Sms Assistent
    See Also:
      Constant Field Values

  - ### SMSASSISTENT_SENDER

    public static final java.lang.String SMSASSISTENT_SENDER
    Имя отправителя в системе Sms Assistent.
    See Also:
      Constant Field Values

  - ### SMSASSISTENT_PASSWORD

    public static final java.lang.String SMSASSISTENT_PASSWORD
    Пароль от учетки в Sms Assistent.
    See Also:
      Constant Field Values

  - ### SMSASSISTENT_URL

    public static final java.lang.String SMSASSISTENT_URL
    Url сервиса Sms Assistent
    See Also:
      Constant Field Values

  - ### SMSAGENT_LOGIN

    public static final java.lang.String SMSAGENT_LOGIN
    Логин в системе SmsAero
    See Also:
      Constant Field Values

  - ### SMSAGENT_SIGN

    public static final java.lang.String SMSAGENT_SIGN
    Имя отправителя в системе SmsAero.
    See Also:
      Constant Field Values

  - ### SMSAGENT_PASSWORD

    public static final java.lang.String SMSAGENT_PASSWORD
    Пароль от учетки в SmsAero.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DispatchOptions

    public DispatchOptions()